<?xml version="1.0" encoding="utf-8" ?>
<configuration>
  <configSections>
    <section name="log4net" type="log4net.Config.Log4NetConfigurationSectionHandler, log4net" />
    <sectionGroup name="userSettings" type="System.Configuration.UserSettingsGroup, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" >
      <section name="VEPROMS.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" allowExeDefinition="MachineToLocalUser" requirePermission="false" />
      <section name="UISampleNetBar1.Properties.Settings" type="System.Configuration.ClientSettingsSection, System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" allowExeDefinition="MachineToLocalUser" requirePermission="false" />
    </sectionGroup>
  </configSections>
  <log4net>
    <appender name="LogFileAppender" type="log4net.Appender.FileAppender">
		<param name="File" value="${USERPROFILE}/My Documents/VEPROMS/ErrorLog.txt" />
		<!--<param name="File" value="${APPDATA}/Volian/Proms2010/ErrorLog.txt" />-->
		<!--<param name="File" value="${LOCALAPPDATA}/Temp/VEPROMS/ErrorLog.txt" />-->
		<param name="AppendToFile" value="true" />
      <layout type="log4net.Layout.PatternLayout">
        <!--<param name="Header" value="[Header]\r\n" />-->
        <!--<param name="Footer" value="[Footer]\r\n" />-->
        <param name="ConversionPattern" value="%d [%t] %-5p %c - %m%n" />
      </layout>
    </appender>
    <appender name="ConsoleAppender" type="log4net.Appender.ConsoleAppender" >
      <layout type="log4net.Layout.PatternLayout">
        <conversionPattern value="--&gt; %date [%thread] %-5level %logger (%property{log4net:HostName}) [%ndc] - %message%newline"/>
      </layout>
    </appender>
    <appender name="EventLogAppender" type="log4net.Appender.EventLogAppender">
      <threshold value="WARN" />
      <mapping>
        <level value="DEBUG" />
        <eventLogEntryType value="Information" />
      </mapping>
      <mapping>
        <level value="INFO" />
        <eventLogEntryType value="Information" />
      </mapping>
      <mapping>
        <level value="WARN" />
        <eventLogEntryType value="Warning" />
      </mapping>
      <mapping>
        <level value="ERROR" />
        <eventLogEntryType value="Error" />
      </mapping>
      <mapping>
        <level value="FATAL" />
        <eventLogEntryType value="Error" />
      </mapping>
      <layout type="log4net.Layout.PatternLayout">
        <param name="ConversionPattern" value="---&gt; %d [%t] %-5p %c - %m%n"/>
      </layout>
    </appender>
    <root>
      <level value="ALL" />
      <appender-ref ref="ConsoleAppender" />
      <appender-ref ref="LogFileAppender" />
      <appender-ref ref="EventLogAppender" />
    </root>
    <logger name="VEPROMS.CSLA.Library">
      <level value="INFO" />
    </logger>
    <logger name="Volian.Controls.Library">
      <level value="INFO" />
    </logger>
  </log4net>
  <appSettings>
	<add key="OperatingMode"  value="Debug" />
	  <!--"Debug" "Testing" "Production" "Demo"/-->
	  <add key ="OriginalPageBreak" value="False"/>
	  <add key="CslaAuthentication" value="Windows" />
    <!--
    <add key="CslaDataPortalProxy" 
      value="Csla.DataPortalClient.RemotingProxy, Csla"/>
    <add key="CslaDataPortalUrl" 
      value="http://localhost/Proms2010RemotingHost/RemotingPortal.rem"/>
    <add key="CslaDataPortalProxy" 
      value="Csla.DataPortalClient.RemotingProxy, Csla"/>
    <add key="CslaDataPortalUrl" 
      value="http://rhmdesktop/Proms2010Remoting/RemotingPortal.rem"/>
     <add key="CslaDataPortalProxy"
      value="Csla.DataPortalClient.WebServicesProxy, Csla"/>
     <add key="CslaDataPortalUrl"
      value="http://localhost/VEPROMS_WebService/WebServicePortal.asmx"/>    
    <add key="CslaDataPortalProxy"
      value="EnterpriseServicesHost.EnterpriseServicesProxy,
      EnterpriseServicesHost"/>      
      -->
  </appSettings>
  <connectionStrings>
	<!--  <add name="VEPROMS" connectionString="Data Source=VOLIAN-SERVER;User Id=proms2010;password=proms2010;Initial Catalog={MENU}" providerName="System.Data.SqlClient" /> 
	   <add name="VEPROMS_LOCAL" connectionString="Data Source=.\SQLEXPRESS;Initial Catalog={MENU};Integrated Security=True" providerName="System.Data.SqlClient" /> -->
	   <add name="VEPROMS" connectionString="Data Source=.\SQLEXPRESS;Initial Catalog={MENU};Integrated Security=True" providerName="System.Data.SqlClient" />
	  <add name="VEPROMS_LOCAL" connectionString="Data Source=.\SQLEXPRESS;Initial Catalog={MENU};Integrated Security=True" providerName="System.Data.SqlClient" />
	  <!-- <add name="VEPROMS_LOCAL" connectionString="Data Source=VOLIAN-SERVER;User Id=proms2010;password=proms2010;Initial Catalog={MENU};Integrated Security=True" providerName="System.Data.SqlClient" /> -->
	  <!-- <add name="VEPROMS_LOCAL" connectionString="Data Source=VOLIAN-SERVER;User Id=proms2010;password=proms2010;Initial Catalog={MENU}" providerName="System.Data.SqlClient" /> -->
	  <add name="VEPROMS_RMARK_DEBUG" connectionString="Data Source=.\SQLEXPRESS;Initial Catalog={MENU};Integrated Security=True" providerName="System.Data.SqlClient" />
    <add name="VEPROMS_RMARK_DEMO" connectionString="Data Source=.\SQLEXPRESS;Initial Catalog={MENU};Integrated Security=True" providerName="System.Data.SqlClient" />
		<add name="VEPROMS_BODINE_DEBUG" connectionString="Data Source=VOLIAN;Initial Catalog={MENU};Integrated Security=True" providerName="System.Data.SqlClient" />
	  <add name="VEPROMS_BODINE_DEMO" connectionString="Data Source=VOLIAN;Initial Catalog={MENU};Integrated Security=True" providerName="System.Data.SqlClient" />
	</connectionStrings>
  <userSettings>
    <VEPROMS.Properties.Settings>
      <setting name="ShowDefaultFolderProp" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="PropPageStyle" serializeAs="String">
        <value>1</value>
      </setting>
      <setting name="SystemColor" serializeAs="String">
        <value>2</value>
      </setting>
      <setting name="TransitionRangeColor" serializeAs="String">
        <value>192, 255, 255</value>
      </setting>
      <setting name="UseNameOnTreeNode" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="UseTitleOnTreeNode" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="WindowState" serializeAs="String">
        <value>Normal</value>
      </setting>
      <setting name="AutoPopUpAnnotations" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="StepTypeToolTip" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="TreeviewExpanded" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="SaveTreeviewExpanded" serializeAs="String">
        <value>True</value>
      </setting>
      <setting name="QATItems" serializeAs="String">
        <value />
      </setting>
      <setting name="DefaultDB" serializeAs="String">
        <value />
      </setting>
      <setting name="LastVersion" serializeAs="String">
        <value>0.0</value>
      </setting>
      <setting name="FormatPath" serializeAs="String">
        <value>C:\Development</value>
      </setting>
    </VEPROMS.Properties.Settings>
    <UISampleNetBar1.Properties.Settings>
      <setting name="ShowDefaultFolderProp" serializeAs="String">
        <value>False</value>
      </setting>
      <setting name="PropPageStyle" serializeAs="String">
        <value>1</value>
      </setting>
    </UISampleNetBar1.Properties.Settings>
  </userSettings>
</configuration>
